Want to subscribe to topics you're interested in?
Become a Member

MariaDB MariaDB not starting

Discussion in 'Nginx, PHP-FPM & MariaDB MySQL' started by pamamolf, Sep 22, 2017.

  1. pamamolf

    pamamolf Well-Known Member

    2,767
    245
    63
    May 31, 2014
    Ratings:
    +436
    Local Time:
    8:13 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Please fill in any relevant information that applies to you:
    • CentOS Version: CentOS 7 64bit ?
    • Centmin Mod Version Installed:123.09beta01
    • Nginx Version Installed:1.11.10
    • PHP Version Installed: 7.0.15
    • MariaDB MySQL Version Installed: 10.1.21

    Hello :)

    MariaDB 10.1.26 is not starting:

    Code:
       Active: failed (Result: exit-code) since Fri 2017-09-22 13:13:54 UTC; 15min ago
      Process: 12228 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
      Process: 11994 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
      Process: 11991 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
     Main PID: 12228 (code=exited, status=1/FAILURE)
       Status: "MariaDB server is down"
    
    Sep 22 13:13:49 server.mydomain.com mysqld[12228]: 2017-09-22 13:13:49 140249171196160 [ERROR] Plugin 'InnoDB' init function returned error.
    Sep 22 13:13:49 server.mydomain.com mysqld[12228]: 2017-09-22 13:13:49 140249171196160 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
    Sep 22 13:13:49 server.mydomain.com mysqld[12228]: 2017-09-22 13:13:49 140249171196160 [Note] Plugin 'FEEDBACK' is disabled.
    Sep 22 13:13:49 server.mydomain.com mysqld[12228]: 2017-09-22 13:13:49 140249171196160 [ERROR] Unknown/unsupported storage engine: InnoDB
    Sep 22 13:13:49 server.mydomain.com mysqld[12228]: 2017-09-22 13:13:49 140249171196160 [ERROR] Aborting
    Sep 22 13:13:54 server.mydomain.com mysqld[12228]: Error in my_thread_global_end(): 1 threads didn't exit
    Sep 22 13:13:54 server.mydomain.com systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
    Sep 22 13:13:54 server.mydomain.com systemd[1]: Failed to start MariaDB database server.
    Sep 22 13:13:54 server.mydomain.com systemd[1]: Unit mariadb.service entered failed state.
    Sep 22 13:13:54 server.mydomain.com systemd[1]: mariadb.service failed.

    Any ideas?

    The mycnf is the default generated one with a few numeric simple values adjustments....

    It was working but after restart i got this :(

    Maybe to reinstall MariaDB?

    Thank you
     
    Last edited: Sep 22, 2017
  2. RoldanLT

    RoldanLT Well-Known Member

    3,931
    960
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,311
    Local Time:
    2:13 PM
    1.11
    10.2
    I think this is still CentOS 7.4 Bug :/.
    Yay!
     
  3. RoldanLT

    RoldanLT Well-Known Member

    3,931
    960
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,311
    Local Time:
    2:13 PM
    1.11
    10.2
  4. pamamolf

    pamamolf Well-Known Member

    2,767
    245
    63
    May 31, 2014
    Ratings:
    +436
    Local Time:
    8:13 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Yes it's not that bug :)

    One database was crash and i enable force recovery and it was start and then i delete it and re import it and all was fine again :)

    I am just wondering for any other possible better fixe for this:

    Code:
    Error in my_thread_global_end(): 1 threads didn't exit
     
  5. eva2000

    eva2000 Administrator Staff Member

    30,579
    6,854
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,275
    Local Time:
    4:13 PM
    Nginx 1.13.x
    MariaDB 5.5
    What web app using mysql ? what PHP version ? Did you just recently update PHP or PHP extensions ? Or restart php-fpm service too ?

    You got the above errors after you enabled force recovery or before ? Which of the 6 levels 1-6 of innodb_force_recovery did you enable ? You do know the higher levels can result in database data corruption too.

    Might also want to post output for mysql log to pastebin.com or gist.github.com

    CentOS 7 logs to journalctl
    Code (Text):
    journalctl -u mariadb --no-pager
    
     
    Last edited: Sep 23, 2017
  6. pamamolf

    pamamolf Well-Known Member

    2,767
    245
    63
    May 31, 2014
    Ratings:
    +436
    Local Time:
    8:13 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    It was after a server reboot:)

    Latest php 7.0.x version and Invision forums...

    The issue was that a script was running at the same time that the server rebooted and got corrupted...

    I was use level 1 as I know that up to level 3 is ok and then the issues may be bigger...

    Anyway all good now !
     
  7. eva2000

    eva2000 Administrator Staff Member

    30,579
    6,854
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,275
    Local Time:
    4:13 PM
    Nginx 1.13.x
    MariaDB 5.5
    Always flush your tables and logs before restarting mysql/server on a busy database server ;)
     
    • Informative Informative x 1